This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 266261 - Review Request: knm_new-fonts - 12x12 JIS X 0208 Bitmap font
Review Request: knm_new-fonts - 12x12 JIS X 0208 Bitmap font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 253149
  Show dependency treegraph
 
Reported: 2007-08-30 01:51 EDT by Akira TAGOH
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 07:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2007-08-30 01:51:20 EDT
Spec URL: http://tagoh.fedorapeople.org/knm_new-fonts/knm_new-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/knm_new-fonts/knm_new-fonts-1.1-1.fc8.src.rpm
Description:
This package provides 12x12 Japanese bitmap font for JIS X 0208.
JIS X 0208 is a character set that contains Kanji characters mostly
often used.
Comment 1 Akira TAGOH 2007-08-30 01:52:46 EDT
This package is split up from fonts-japanese.
Comment 2 Till Maas 2007-09-06 09:08:22 EDT
http://fedoraproject.org/wiki/Packaging/Conflicts - Usage of conflicts need to
be approved, I asked on fedora packaging list about this:
https://www.redhat.com/archives/fedora-packaging/2007-September/msg00010.html
Comment 3 Till Maas 2007-09-06 18:04:02 EDT
- Conflicts should be ok. (see the previously mentioned thread)

- Building with mock gives an error:
+ install -m 0644 -p 'fonts/*.pcf.gz'
/var/tmp/knm_new-fonts-1.1-1.fc7-root-mockbuild/usr/share/fonts/knm_new-fonts/
install: cannot stat `fonts/*.pcf.gz': No such file or directory

this
install -m 0644 -p fonts/*.pcf.gz $RPM_BUILD_ROOT%{fontdir}/
should be changed to
install -m 0644 -p *.pcf.gz $RPM_BUILD_ROOT%{fontdir}/

- this should be removed because it is not used:
%define buildsubdir     %{name}-%{version}

- in %prep
instead of
%{__mkdir_p} $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
tar xfz %{SOURCE0}
this should be used:
%setup -q -n fonts
Comment 4 Akira TAGOH 2007-09-07 02:39:16 EDT
(In reply to comment #3)
> - Building with mock gives an error:
> + install -m 0644 -p 'fonts/*.pcf.gz'
> /var/tmp/knm_new-fonts-1.1-1.fc7-root-mockbuild/usr/share/fonts/knm_new-fonts/
> install: cannot stat `fonts/*.pcf.gz': No such file or directory

Doh. my bad. however:

> - in %prep
> instead of
> %{__mkdir_p} $RPM_BUILD_DIR/%{name}-%{version}
> cd $RPM_BUILD_DIR/%{name}-%{version}
> tar xfz %{SOURCE0}
> this should be used:
> %setup -q -n fonts

I'm worrying about following that since "fonts" is too generic and it might
affects to others perhaps.
Comment 5 Akira TAGOH 2007-09-07 02:49:03 EDT
Ok, updated. hopefully it should works enough.

Spec URL: http://tagoh.fedorapeople.org/knm_new-fonts/knm_new-fonts.spec
SRPM URL:
http://tagoh.fedorapeople.org/knm_new-fonts/knm_new-fonts-1.1-2.fc8.src.rpm
Comment 6 Mamoru TASAKA 2007-09-24 03:09:25 EDT
? - fonts-japanese spec file contains fonts.cache-1 and encodings.dir.
    Are these ghost files no longer needed?
Comment 7 Akira TAGOH 2007-09-24 03:54:13 EDT
Yes for this package at least, because those ghost are still required for
fonts-japanese to ensure removing all the files and the directories cleanly when
the package is removed so that it was generated outside the package. and this
package uses the different install dir and no longer created.
Comment 8 Akira TAGOH 2007-09-24 04:06:56 EDT
No, it isn't needed anymore, I meant.
Comment 9 Mamoru TASAKA 2007-09-24 04:22:06 EDT
Then okay for this package.

-----------------------------------------------------
  This package (knm_new-fonts) is APPROVED by me
-----------------------------------------------------
Comment 10 Parag AN(पराग) 2007-09-24 04:45:03 EDT
Thanks for quick review.
Comment 11 Akira TAGOH 2007-09-25 05:31:18 EDT
New Package CVS Request
=======================
Package Name: knm_new-fonts
Short Description: 12x12 JIS X 0208 Bitmap font
Owners: tagoh
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-09-25 14:17:20 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.